The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

64 rivejä
1.8 KiB

  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
  4. #
  5. #
  6. # Update repository from master, including submodules, and rebuild bubble jar file
  7. #
  8. # Usage:
  9. #
  10. # git_update_bubble.sh [fast]
  11. #
  12. # fast : if the first argument is 'fast', then don't perform "clean" builds for submodules, just repackage/reinstall them
  13. #
  14. function die {
  15. if [[ -z "${SCRIPT}" ]] ; then
  16. echo 1>&2 "${1}"
  17. else
  18. echo 1>&2 "${SCRIPT}: ${1}"
  19. fi
  20. exit 1
  21. }
  22. FAST=${1}
  23. if [[ ! -z "${FAST}" && "${FAST}" == "fast" ]] ; then
  24. FAST=1
  25. else
  26. FAST=0
  27. fi
  28. BASE=$(cd $(dirname $0)/.. && pwd)
  29. cd ${BASE}
  30. git fetch || die "Error calling git fetch"
  31. git pull origin master || die "Error calling git pull origin master"
  32. git submodule update || die "Error in git submodule update"
  33. pushd utils/cobbzilla-parent
  34. git fetch && git checkout master && git pull origin master && mvn install || die "Error updating/installing cobbzilla-parent"
  35. popd
  36. UTIL_REPOS="
  37. cobbzilla-parent
  38. cobbzilla-utils
  39. restex
  40. templated-mail-sender
  41. cobbzilla-wizard
  42. abp-parser
  43. "
  44. pushd utils
  45. for repo in ${UTIL_REPOS} ; do
  46. if [[ ${FAST} -eq 1 ]] ; then
  47. pushd ${repo} && git fetch && git checkout master && git pull origin master && mvn -DskipTests=true -Dcheckstyle.skip=true install && popd || die "Error installing ${repo}"
  48. else
  49. pushd ${repo} && git fetch && git checkout master && git pull origin master && mvn -DskipTests=true -Dcheckstyle.skip=true clean install && popd || die "Error installing ${repo}"
  50. fi
  51. done
  52. popd
  53. if [[ ${FAST} -eq 1 ]] ; then
  54. mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  55. else
  56. INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"
  57. fi